#include <bits/stdc++.h>
#define int long long
using namespace std;

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
	cin>>n;
    // map<int,int> mp;
    int arr[n];
    for (int i=0; i<n; ++i){
        cin>>arr[i];
        // ++mp[arr[i]];
    }
    sort(arr, arr+n);
    int kr=0, res=0, delta=0;
    for (int i=n-1; i>=0; --i){
        if ((i<n-1 and arr[i]!=arr[i+1]) or arr[i]==1){
            kr+=delta;
            if (arr[i]<=kr){
                break;
            }
            res+=arr[i]-kr;
            delta=1;
        }
        else{
            res+=arr[i]-kr;
            ++delta;
        }
    }
    cout<<res<<'\n';
    return 0;
}
